summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPeter Hofmann2016-03-26 10:36:35 +0100
committerPeter Hofmann2016-03-26 10:36:35 +0100
commit9332ea186aa18a74ee2bdb3dbd0050e39e83e42a (patch)
tree07521caf10e6a7fdebff87f693848d5d6b86104f
parent3da31b50b08ab9daad55af6a33c6e9d0fffaeaca (diff)
downloadaur-9332ea186aa18a74ee2bdb3dbd0050e39e83e42a.tar.gz
Replace optional dep to python2-geographiclib with message
As the message says, python2-geographiclib is no longer available as a regular Arch package. We instead now provide some pointers on how to install it.
-rw-r--r--PKGBUILD4
-rw-r--r--asciiworld.install18
2 files changed, 20 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index d677a14c815..5c3e7bd06ca 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Vain <aurmaint1 on host: uninformativ dot de>
pkgname=asciiworld-git
pkgver=15.03
-pkgrel=2
+pkgrel=3
pkgdesc="ASCII world map and tools"
arch=('i686' 'x86_64')
url="https://github.com/vain/asciiworld"
@@ -14,12 +14,12 @@ optdepends=('curl: Retrieving various data'
'python-pygeoip: Reading GeoIP databases'
'geoip-database-extra: An actual GeoIP database'
'python2: Additional tools, e.g. calculating tracks'
- 'python2-geographiclib: Calculating geodetics'
'ncurses: For tput')
provides=("${pkgname%-git}")
conflicts=("${pkgname%-git}")
source=('git://github.com/vain/asciiworld.git')
md5sums=('SKIP')
+install=asciiworld.install
pkgver() {
cd "$srcdir/${pkgname%-git}"
diff --git a/asciiworld.install b/asciiworld.install
new file mode 100644
index 00000000000..77426b05fce
--- /dev/null
+++ b/asciiworld.install
@@ -0,0 +1,18 @@
+post_install() {
+ cat <<EOF
+"asciiworld-waypoints", an optional tool not required by the core
+"asciiworld" program, requires the python2 library "geographiclib". It
+used to be available as an AUR package but has not been migrated to
+AUR 4.
+
+Either use the old PKGBUILD [1] or install the package using pip:
+
+ # pip2 install geographiclib
+
+[1]: http://pkgbuild.com/git/aur-mirror.git/tree/python2-geographiclib/PKGBUILD
+EOF
+}
+
+post_upgrade() {
+ post_install "$1"
+}